package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * cmc借款明细对象 cmc_borrow_detail
 * 
 * @author cmc
 * @date 2024-04-07
 */
public class CmcBorrowDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 借款明细id */
    private Long borrowDetailId;

    /** 借款id */
    @Excel(name = "借款id")
    private String borrowId;

    /** 开支项 */
    @Excel(name = "开支项")
    private String borrowItem;

    /** 单位 */
    @Excel(name = "单位")
    private String unit;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal price;

    /** 数量 */
    @Excel(name = "数量")
    private Integer quantity;

    /** 申请金额 */
    @Excel(name = "申请金额")
    private BigDecimal applyAmount;

    /** 分管审核金额 */
    @Excel(name = "分管审核金额")
    private BigDecimal managerAmount;

    public void setBorrowDetailId(Long borrowDetailId)
    {
        this.borrowDetailId = borrowDetailId;
    }

    public Long getBorrowDetailId()
    {
        return borrowDetailId;
    }
    public void setBorrowId(String borrowId) 
    {
        this.borrowId = borrowId;
    }

    public String getBorrowId() 
    {
        return borrowId;
    }
    public void setBorrowItem(String borrowItem) 
    {
        this.borrowItem = borrowItem;
    }

    public String getBorrowItem() 
    {
        return borrowItem;
    }
    public void setUnit(String unit) 
    {
        this.unit = unit;
    }

    public String getUnit() 
    {
        return unit;
    }
    public void setPrice(BigDecimal price) 
    {
        this.price = price;
    }

    public BigDecimal getPrice() 
    {
        return price;
    }
    public void setQuantity(Integer quantity) 
    {
        this.quantity = quantity;
    }

    public Integer getQuantity() 
    {
        return quantity;
    }
    public void setApplyAmount(BigDecimal applyAmount) 
    {
        this.applyAmount = applyAmount;
    }

    public BigDecimal getApplyAmount() 
    {
        return applyAmount;
    }
    public void setManagerAmount(BigDecimal managerAmount) 
    {
        this.managerAmount = managerAmount;
    }

    public BigDecimal getManagerAmount() 
    {
        return managerAmount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("borrowDetailId", getBorrowDetailId())
            .append("borrowId", getBorrowId())
            .append("borrowItem", getBorrowItem())
            .append("unit", getUnit())
            .append("price", getPrice())
            .append("quantity", getQuantity())
            .append("applyAmount", getApplyAmount())
            .append("managerAmount", getManagerAmount())
            .toString();
    }
}
